Page MenuHomePhabricator

Guided tour for the New Filters mentions ORES predictions on wikis where they are not available
Closed, ResolvedPublic

Description

Viewed on fr:

Combine improved tools, a new interface and the power of machine learning to fight vandalism and help new users.


Details

Related Gerrit Patches:
mediawiki/extensions/WikimediaMessages : wmf/1.29.0-wmf.20RCFilters: Provide a separate message in GuidedTour for no ORES models
mediawiki/extensions/WikimediaMessages : masterRCFilters: Provide a separate message in GuidedTour for no ORES models

Event Timeline

Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptApr 11 2017, 2:15 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 347981 had a related patch set uploaded (by Mooeypoo):
[mediawiki/extensions/WikimediaMessages@master] RCFilters: Provide a separate message in GuidedTour for no ORES models

https://gerrit.wikimedia.org/r/347981

Mooeypoo claimed this task.Apr 12 2017, 9:17 PM
Mooeypoo added a subscriber: jmatazzoni.

The copy needs work; @jmatazzoni what should it say for when there are no ORES models active in the wiki? For this patch, I changed to this message, please tell me to fix if necessary:

With ORES models (as-is):

Combine improved tools, a new interface and the power of machine learning to fight vandalism and help new users.

Without ORES models (new message):

Combine improved tools and a new interface to fight vandalism and help new users.

[@Mooeypoo, here is the new copy for the non-ORES introduction]

Review edits using an easier and more powerful interface, additional filters, user-defined highlighting and other improvements.

Change 347981 merged by jenkins-bot:
[mediawiki/extensions/WikimediaMessages@master] RCFilters: Provide a separate message in GuidedTour for no ORES models

https://gerrit.wikimedia.org/r/347981

Change 348004 had a related patch set uploaded (by Catrope; owner: Mooeypoo):
[mediawiki/extensions/WikimediaMessages@wmf/1.29.0-wmf.20] RCFilters: Provide a separate message in GuidedTour for no ORES models

https://gerrit.wikimedia.org/r/348004

Change 348004 merged by jenkins-bot:
[mediawiki/extensions/WikimediaMessages@wmf/1.29.0-wmf.20] RCFilters: Provide a separate message in GuidedTour for no ORES models

https://gerrit.wikimedia.org/r/348004

Mentioned in SAL (#wikimedia-operations) [2017-04-12T23:42:16Z] <catrope@tin> Started scap: Split RCFilters GuidedTour messages for ORES vs non-ORES (T162693)

Mentioned in SAL (#wikimedia-operations) [2017-04-13T00:36:03Z] <catrope@tin> Finished scap: Split RCFilters GuidedTour messages for ORES vs non-ORES (T162693) (duration: 53m 47s)

I've forced the messages on TranslateWiki.

Checked in betalabs - hewiktionary and dewiktionary (ORES not enabled).

RTL:

However, in German the part of the title seems to be cut off - filed as T163245: dewiki - GuidedTour for no ORES models displays the title as cutoff assigned to @Volker_E

QA Recommendation: Product should weigh in

jmatazzoni closed this task as Resolved.Apr 19 2017, 1:11 AM

@Etonkovidova, good job spotting the problem in German. I'm not sure what would you would like me to weigh in on? The German issue should be fixed, but i see you've opened a ticket for that, so I'm closing this. ( Is there a doubt that @Volker_E can fix it? If so, he should unassign himself...)